commit:     b611b77bf34fe62440d3f2eb7815a2bed42f9d46
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 30 18:54:56 2018 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Mon Apr 30 18:55:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b611b77b

dev-util/bazel: bump 0.13.0

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-util/bazel/Manifest            |  1 +
 dev-util/bazel/bazel-0.13.0.ebuild | 78 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-util/bazel/Manifest b/dev-util/bazel/Manifest
index bfd2fa34136..f54010da7c1 100644
--- a/dev-util/bazel/Manifest
+++ b/dev-util/bazel/Manifest
@@ -1,2 +1,3 @@
 DIST bazel-0.10.1-dist.zip 92973197 BLAKE2B 
a1d681407e2c72a57b3dcbb5e2afc49e59670be65da3d7d038dc3b8593bc0ab5b4a06c8dd8fc8a617a92eef2fc26a049b6de9a1eab0d05f31efb2fbeeb9ce711
 SHA512 
1894c951fd39a084011f89dd0d458e182525c2bfd6c80da071865e981e21a8c2b8363530ab53af18e6deae4a488744d6d2b7a5a4acf04715c2e26560a01df707
+DIST bazel-0.13.0-dist.zip 90105262 BLAKE2B 
cb065025524123babef187bac2e1f54f43645d08cb1282a5fe8f8c8b090e595570646072e2380836e2c43403f7953f97321becc24b743d7b9ab43ad208cf2c2d
 SHA512 
3c128e551cff1b685250a68892ca3e1ad6be8b152ee2b8eb527c94adbb8fd50c70e703a363bb938916275030ddb14d756c14e4dc238e7a7b40289c700c5d53c7
 DIST bazel-0.7.0-dist.zip 84669893 BLAKE2B 
2f8bbe3a48224a797bdebdaad8f7c403c8b0232ada5eee8c8619f241e9670dda311b9280f48b5e2013079f959891d94f55aee2af0dfae9fc4f6a486663fa245d
 SHA512 
039ab6a04fd4422bd14503187e6cc0d07301723b3ecae906606fa12ccea72190d82237899c103c1adfdf05dc8672887790780ddfb4cce87cd590adbde3d3f6d4

diff --git a/dev-util/bazel/bazel-0.13.0.ebuild 
b/dev-util/bazel/bazel-0.13.0.ebuild
new file mode 100644
index 00000000000..5a238c7915f
--- /dev/null
+++ b/dev-util/bazel/bazel-0.13.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1 java-pkg-2
+
+DESCRIPTION="Fast and correct automated build system"
+HOMEPAGE="http://bazel.io/";
+SRC_URI="https://github.com/bazelbuild/bazel/releases/download/${PV}/${P}-dist.zip";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples tools zsh-completion"
+# strip corrupts the bazel binary
+RESTRICT="strip"
+RDEPEND="virtual/jdk:1.8"
+DEPEND="${RDEPEND}
+       app-arch/unzip
+       app-arch/zip"
+
+S="${WORKDIR}"
+
+pkg_setup() {
+       echo ${PATH} | grep -q ccache && \
+               ewarn "${PN} usually fails to compile with ccache, you have 
been warned"
+       java-pkg-2_pkg_setup
+}
+
+src_compile() {
+       # F: fopen_wr
+       # S: deny
+       # P: /proc/self/setgroups
+       # A: /proc/self/setgroups
+       # R: /proc/24939/setgroups
+       # C: /usr/lib/systemd/systemd
+       addpredict /proc
+       VERBOSE=yes ./compile.sh || die
+       # Use standalone strategy to deactivate the bazel sandbox, since it
+       # conflicts with FEATURES=sandbox.
+       echo "build --verbose_failures --spawn_strategy=standalone 
--genrule_strategy=standalone" \
+               > "${T}/bazelrc" || die
+       output/bazel --bazelrc="${T}/bazelrc" build scripts:bazel-complete.bash 
|| die
+       mv bazel-bin/scripts/bazel-complete.bash output/ || die
+}
+
+src_test() {
+       output/bazel test \
+               --verbose_failures \
+               --spawn_strategy=standalone \
+               --genrule_strategy=standalone \
+               --verbose_test_summary \
+               examples/cpp:hello-success_test || die
+}
+
+src_install() {
+       output/bazel shutdown
+       dobin output/bazel
+       newbashcomp output/bazel-complete.bash ${PN}
+       bashcomp_alias ${PN} ibazel
+       if use zsh-completion ; then
+               insinto /usr/share/zsh/site-functions
+               doins scripts/zsh_completion/_bazel
+       fi
+       if use examples; then
+               docinto examples
+               dodoc -r examples/*
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       # could really build tools but I don't know which ones
+       # are actually used
+       if use tools; then
+               docinto tools
+               dodoc -r tools/*
+               docompress -x /usr/share/doc/${PF}/tools
+       fi
+}

Reply via email to